Assign session role
curl --request POST \
--url https://api.lumonol.co.uk/ankra/assign-session-role \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roblox_user_id": 123,
"role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
roblox_user_id: 123,
role_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.lumonol.co.uk/ankra/assign-session-role', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/assign-session-role"
payload = {
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roblox_user_id": 123,
"role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Sessions
Assign session role
Give someone a role on a session (event_id, roblox_user_id, role_id).
POST
/
assign-session-role
Assign session role
curl --request POST \
--url https://api.lumonol.co.uk/ankra/assign-session-role \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roblox_user_id": 123,
"role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
'const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
event_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a',
roblox_user_id: 123,
role_id: '3c90c3cc-0d44-4b50-8888-8dd25736052a'
})
};
fetch('https://api.lumonol.co.uk/ankra/assign-session-role', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.lumonol.co.uk/ankra/assign-session-role"
payload = {
"event_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"roblox_user_id": 123,
"role_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text){
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}{
"error": "roblox_user_id is required"
}Authorizations
A workspace API key from Settings › Developer.
Query Parameters
The workspace: the 24-character ID in its Ankra address, or its UUID.
Body
application/json
Response
OK.

